%define _build_id_links none
%define _disable_source_fetch 0

Name:           fcitx5-mcbopomofo
Version:        2.9.1
Release:        1%{?dist}
Summary:        McBopomofo for fcitx5

License:        MIT
URL:            https://github.com/openvanilla/fcitx5-mcbopomofo
Source0:        https://github.com/openvanilla/fcitx5-mcbopomofo/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gettext
BuildRequires:  fmt-devel
BuildRequires:  libicu-devel
BuildRequires:  json-c-devel
BuildRequires:  fcitx5-devel
BuildRequires:  gmock-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
Fcitx5 input method module for McBopomofo.

%prep
%setup -q

%build
# Add GCC and G++ to PATH
export PATH=/usr/bin:$PATH

mkdir -p build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DBUILD_TESTING=OFF -DENABLE_TEST=OFF -DCMAKE_C_COMPILER=gcc -DCMAKE_CXX_COMPILER=g++
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/fcitx5/mcbopomofo.so
%{_datadir}/fcitx5/inputmethod/mcbopomofo.conf
%{_datadir}/fcitx5/addon/mcbopomofo.conf
%{_datadir}/fcitx5/data/mcbopomofo-add-phrase-hook.sh
%{_datadir}/fcitx5/data/mcbopomofo-associated-phrases-v2.txt
%{_datadir}/fcitx5/data/mcbopomofo-data-plain-bpmf.txt
%{_datadir}/fcitx5/data/mcbopomofo-data.txt
%{_datadir}/fcitx5/data/mcbopomofo-dictionary-service.json
%{_datadir}/fcitx5/inputmethod/mcbopomofo-plain.conf
%{_datadir}/icons/hicolor/24x24/apps/fcitx_mcbopomofo.png
%{_datadir}/icons/hicolor/24x24/apps/org.fcitx.Fcitx5.fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/32x32/apps/fcitx_mcbopomofo.png
%{_datadir}/icons/hicolor/32x32/apps/org.fcitx.Fcitx5.fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/64x64/apps/fcitx_mcbopomofo.png
%{_datadir}/icons/hicolor/64x64/apps/org.fcitx.Fcitx5.fcitx-mcbopomofo.png
%{_datadir}/locale/en/LC_MESSAGES/fcitx5-mcbopomofo.mo
%{_datadir}/locale/zh_TW/LC_MESSAGES/fcitx5-mcbopomofo.mo
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.McBopomofo.metainfo.xml

%changelog
* Sun May 14 2025 Sam Weng <eyes1971@gmail.com> - 2.9.1-1
- Fixes the missing icon in some distros (#169)
- Allows disabling the Shift+Enter associative phrases key (#172)
- Supports Hanyu Pinyin output (#172)
- Phrases databases update

* Sun May 19 2024 Your Name <you@example.com> - 2.8-1
- Initial package
